/*

 Cupwb_t@C       /////  Tab Size : 4  /////  
                                  /////  Margin : 100  /////  
 aoi_lib2.h   v1.0 L20                                        
                                                              
 (C)K.Konishi 16-Aug-93                                       

*/


#if !defined(___AOI_lib)
	#define	___AOI_lib
	#define	___AOI_libDate	16-08-92
	#define	___AOI_libVer	v1.0_L20

typedef struct AOIstringData {	/* AOIstring̃f[^i[p̍\ */
	short	ax, ay,					/* ANK  傫 */
			sx, sy;					/* SJIS 傫 */
	int		sc,						/* ̐F */
			ss;						/* ̃X^C */
}AOIstringData;

typedef struct AOIbuttonData {	/* AOIbuttoñf[^i[p̍\ */
	short	 x,  y,					/* {^W */
			lx, ly;					/* {^傫 */
}AOIbuttonData;

#ifdef	LIB
char	para[64];
char	work[EgbWorkSize];
char	mwork[MosWorkSize];
char 	pat_work[258];

#define	BUTTON	100



#endif



#ifdef	MAIN
#include <EGB.h>
#include <MOS.h>
extern	char	para[64];
extern	char	work[EgbWorkSize];
extern	char	mwork[MosWorkSize];
extern	char 	pat_work[258];

#define	BUTTON	100


#define	MDCL1	 1	/* F̖O */
#define	MDCL2	 2
#define	MDCL3	 3
#define	MDCL4	 4
#define	MDCL5	 5
#define	MDCL6	 6
#define	MDCL7	 7

#define	BLACK	 8
#define	BLUE	 9
#define	RED		10
#define	PURPLE	11
#define	GREEN	12
#define	SKYBLUE	13
#define	YELLOW	14
#define	WHITE	15

enum {OFF, ON};

#endif

int AOIpset(short x, short y, short c);

int AOIstring(short x, short y, AOIstringData *Data, char *tx);

int AOIstrSetup(short zsx, short zsy, short zax, short zay, short sf, short sc);

int AOIstrSjis(short x, short y, char *tx);

int AOIanyChar(short x, short y, short fx, short fy, char *data);

int AOIline(short x0, short y0, short x1, short y1, short c);

int AOIbox(short x0, short y0, short x1, short y1, short c);

int AOIboxFull(short x0, short y0, short x1, short y1, int c);

int AOIwinBase(short x, short y, short lx, short ly, short sd);

int AOIbuttonBase(short x, short y, short lx, short ly);

int AOIsetPalette(int cn, int cg, int cr, int cb);

int AOIsetPalette256(int cn, int cg, int cr, int cb);

int AOIsetStandardPalette(void);

int AOIcolorIGRB(int g, int r, int b);

short AOIbin2short(char *bin);

long AOIbin2long(char *bin);

void AOIsetButton(AOIbuttonData *Data, short x, short y, short lx, short ly);

int AOIbutton(short sx, short sy, int mx, int my, AOIbuttonData *Data);

void AOIfigureDraw(short sx, short sy, short figure);

void _AOIfigureDrawSet(short *fig, short *a);

void AOIfigureDraw2(short sx, short sy, int figure);

short _AOIrandom(short max);	/* 0`99܂ł̓pr */

long AOIrandom(long max);		/* 0`999999܂ł̗ */

int AOIbuttonLamp(short sx, short sy, AOIbuttonData *Data);

int AOIslantingBox(short x0, short y0, short x1, short y1, short lx, short cl);

int AOIslantingBoxFull(short x0, short y0, short x1, short y1, short lx, short cl);

int AOIpadCheck(int *status);

int AOIpadCheck2(int *status, int a[]);

void ank2sjis(char string[], char str[]);

void AOIstrFJ2(FILE *fp, short fs, short sx, short sy, char st[], short gap);

void AOIstring_FJ2(FILE *fp, short fs, short sx, short sy, char st[], short sc, short gap);

void AOIstrFJ2Zoom(FILE *fp, short fs, short sx, short sy, char st[], short sc, short gap, short zx, short zy);

short _AOIsystem12FontSetup(char fnt12File[]);

void AOIsystem16Font(short x, short y, short c, char *str);

void AOIsystem12Font(short x, short y, short c, char *str);

int AOIgetGraph(char *buf, short x0, short y0, short x1, short y1);	/* 摜f[^ʂ̓ǂݍ */

int AOIgetGraphZoom(char *buf, short x0, short y0, short x1, short y1, short xs, short ys);
	/* 摜f[^ʂ̓ǂݍ */

int AOIputGraph(char *buf, short x0, short y0, short x1, short y1);	/*	摜f[^ʂ̏ */

int AOIputGraphZoom(char *buf, short x0, short y0, short x1, short y1, short xs, short ys);
	/*	摜f[^ʂ̏ */

void AOIwindowMove(char *dispTmp, short *sx, short *sy, short lx, short ly);	/*	EChDړ */

int AOItiff(int sx, int sy, char filename[100]);

void AOIwide17(void);		/* WIDE display set */

void AOIwide3(void);

short AOItownsName(void);	/*	snvmr̋@픻 */

#endif






/*

  ֐Q        AOI_LIB2    v1.0 L20    }jA                    
                                                                        
    (C)K.Konishi  16-Aug-93                                             


	1 ֐Qɂ

 		  ֐Q́AQA 𐻍삷ۂɎg HighC pȈՊ֐QłB
		bn߂΂̎̊֐Q̂܂܎cĂ̂ŁAȂA
		ڒꒃȕ܂B


		1.1 ֐Qgp̒

			  ֐QɂāAssɂāA͈
			ӔC𕉂܂BꕔAoOɂȂĂꍇ܂B


		1.2 ֐Q̎g

			  ȉA֐Qg\[XvO TEST.C ƌĂт܂B
			\[XvO TEST.C ̓KȏɁA

				#define	MAIN
				#include <aoi_lib2.h>

			ƋLqĉB
			  MAIN ́Ã\[XvO TEST.C  main() 邱Ƃ
			Ă܂B

				[Ql]֐Q́Aȉ`Ă܂B

						#define	___AOI_lib

			  Aaoi_lib2.obj NĂBႦ΁ATLINK ȂA

			  	run386 tlinkp.exp TEST.OBJ @link01.lnk

			łBlink01.lnk ̃pX͊eKɎw肵ĂB



	2 ֐Q t@X

		 AOIpset			_`

			int AOIpset(short x, short y, short c);
				//	0:I
			short	x;		//	JnwW
			short	y;		//	JnxW
			short	c;		//	`F

			
				int	 ret;

				ret = AOIpset(320, 200, 15);
				//	W(320, 200) ɐFԍ15œ_`悵܂B





		 AOIstring		` ()

			int AOIstring(short x, short y, AOIstringData *Data, char *tx)
				//	0:I
			short			x;		//	JnwW
			short			y;		//	JnxW
			AOIstringData	*Data;	//	񑕏f[^
			char			*tx;	//	`敶

			
				int	 ret;
				AOIstringData	asD;	// AOIstrData^̕ϐ錾

				asD.sx = 32;	//	Sp̂w傫
				asD.sy = 32;	//	Sp̂x傫
				asD.ax = 16;	//	p̂w傫
				asD.ay = 32;	//	p̂x傫
				asD.sc = BLACK;	//	`F
				asD.ss = 0x00;	//	X^C(HighC ƭ EGB_fontStyle()Q)

				ret = AOIstring(320, 200, &asD, "ABC`ab");
				//	W(320, 200) ɕ`悵܂B

			
				AOIstrSjis() ̋@[W





		 AOIstrSetup		AOIstrSjis() ɑ΂镶񑕏ݒ

			int AOIstrSetup(zsx, zsy, zax, zay, sf, sc);
				//	0:I
			short	zsx;		//	Sp̂w傫
			short	zsy;		//	Sp̂x傫
			short	zax;		//	p̂w傫
			short	zay;		//	p̂x傫
			short	sf;			//	X^C(HighC ƭ EGB_fontStyle()Q)
			short	sc;			//	`F

		
			AOIstrSjis() ̗Q





		 AOIstrSjis		` (V)

			int AOIstrSjis(short x, short y, char *tx)
				//	0:I
			short	x;			//	JnwW
			short	y;			//	JnxW
			char	*tx;		//	`敶

			
				int	 ret1, ret2;

				ret1 = AOIstrSetup(32, 32, 16, 32, 0x00, BLACK);
				ret2 = AOIstrSjis(320, 200, "ABC`ab");
				//	W(320, 200) ɕ`悵܂B

			
				AOIstrSjis() ĂяoO AOIstrSetup() Ŋeݒ
				sĂB





		 AOIanyChar		Wݒs EGB_anyChar()

			int AOIanyChar(short x, short y, short fx, short fy, char *data);
				//	0:I
			short	x;			//	JnwW
			short	y;			//	JnxW
			short	fx;			//	f[^̉TCY(8hbgP)
			short	fy;			//	f[^̏cTCY
			char	*data;		//	f[^̃AhX

			
				int		ret;
				char	data[] = {
							0x1c, 0x00, 0x3e, 0x00, 0x63, 0x00, 0x41, 0x00,
                   			0xc1, 0x80, 0xff, 0x80, 0xc1, 0x80, 0xc1, 0x80
                   		};

				ret = AOIanyChar(320, 200, 8, 16, data);
				//	W(320, 200) data̎wf[^`悵܂B





		 AOIline			`

			int AOIline(short x0, short y0, short x1, short y1, short c);
				//	0:I
			short	x0;			//	JnwW
			short	y0;			//	JnxW
			short	x1;			//	IwW
			short	y1;			//	IxW
			short	c;			//	`F

			
				int		ret;

				ret = AOIline(320, 200, 600, 450, 15);
				// W(320, 200)W(320, 200)֐Fԍ15Ő`悵܂





		 AOIconnectLeft	 ̂悤ɐ`悵܂

			int AOIconnectLeft(x0, y0, x1, y1, c);
				//	0:I
			short	x0;			//	JnwW
			short	y0;			//	JnxW
			short	x1;			//	IwW
			short	y1;			//	IxW
			short	c;			//	`F

			
				int		ret;

				ret = AOIconnectLeft(320, 200, 600, 450, 15);
				// W(320, 450)`W(320, 200)`W(600, 200)̏
					Fԍ15Ő`悵܂B





		 AOIconnectRight	 ̂悤ɐ`悵܂

			int AOIconnectRight(x0, y0, x1, y1, c);
				//	0:I
			short	x0;			//	JnwW
			short	y0;			//	JnxW
			short	x1;			//	IwW
			short	y1;			//	IxW
			short	c;			//	`F

			
				int		ret;

				ret = AOIconnectRight(320, 200, 600, 450, 15);
				// W(320, 450)`W(600, 450)`W(600, 200)̏
					Fԍ15Ő`悵܂B





		 AOIbox			``

			int AOIbox(short x0, short y0, short x1, short y1, short c);
				//	0:I
			short	x0;			//	JnwW
			short	y0;			//	JnxW
			short	x1;			//	IwW
			short	y1;			//	IxW
			short	c;			//	`F

			
				int		ret;

				ret = AOIbox(320, 200, 600, 450, 15);
				// W(320, 200)(600, 450)֐Fԍ15ŋ``悵܂B





		 AOIboxFull		hԂ``

			int AOIboxFull(short x0, short y0, short x1, short y1, short c);
				//	0:I
			short	x0;			//	JnwW
			short	y0;			//	JnxW
			short	x1;			//	IwW
			short	y1;			//	IxW
			short	c;			//	`F

			
				int		ret;

				ret = AOIboxFull(320, 200, 600, 450, 15);
				// W(320, 200)W(600, 450)֐Fԍ15
					hԂ``悵܂B





		 AOIwinBase		EBhẺn`

			int AOIwinBase(short x, short y, short lx, short ly, short sd);
				//	0:I
			short	x;			//	JnwW
			short	y;			//	JnxW
			short	lx;			//	w傫
			short	ly;			//	x傫
			short	sd;			//	e(1 : )

			
				int		ret;

				ret = AOIwinBase(320, 200, 100, 150, 1);
				// W(320, 200)(100, 150)̑傫ŃEBhẺn`
					܂Bet





		 AOIbuttonBase	{^̉n`

			int AOIbuttonBase(short x, short y, short lx, short ly);
				//	0:I
			short	x;			//	JnwW
			short	y;			//	JnxW
			short	lx;			//	w傫
			short	ly;			//	x傫

			
				int		ret;

				ret = AOIbuttonBase(320, 200, 100, 16);
				// W(320, 200)(100,16)̑傫Ń{^̉n`悵܂





		 AOIsetPalette	pbgݒ(16F)

			int AOIsetPalette(int cn, int cg, int cr, int cb);
				//	0:I
			int		cn;			//	Fʔԍ
			int		cg;			//	(16iK)
			int		cr;			//	(16iK)
			int		cb;			//	(16iK)

			
				int		ret;

				ret = AOIsetPalette(14, 1, 2, 3);
					//	Fʔԍ14̃pbg(G, R, B) = (1, 2, 3)ɐݒB





		 AOIsetPalette256	pbgݒ(256F)

			int AOIsetPalette256(int cn, int cg, int cr, int cb);
				//	0:I
			int		cn;			//	Fʔԍ
			int		cg;			//	(256iK)
			int		cr;			//	(256iK)
			int		cb;			//	(256iK)

			
				int		ret;

				ret = AOIsetPalette256(254, 10, 20, 30);
					//	Fʔԍ254̃pbg(G,R,B)=(10,20,30)ɐݒB





		 AOIcolorIGRB		RGB̒lŕ`Fݒ

			int AOIcolorIGRB(int g, int r, int b);
				//	0:I
			int		g;			//	
			int		r;			//	
			int		b;			//	

			
				int		ret;

				ret = AOIcolorIGRB(10, 20, 30);
					//	`F(G, R, B) = (10,20,30)ɐݒ肵܂B





		 AOIsetStandardPalette	16F[h̍PxF̃pbgWݒ

			int AOIsetStandardPalette(void)
				//	0:I

			
				int		ret;

				ret = AOIsetStandardPalette();
					//	16F[h̍PxF̃pbgWݒ





		 AOIbin2short		2ishort^ɕϊԂ܂B

			short AOIbin2short(char *bin)
				//	2ishort^ɕϊԂ܂
			char	*bin		//	2i

			
				short		ret;

				ret = AOIbin2short("010101010");
					//	2i 010101010  short ^ɕϊ ret Ɋi[܂





		 AOIbin2long 		2ilong ^ɕϊԂ܂B

			long  AOIbin2long (char *bin)
				//	2ilong ^ɕϊԂ܂
			char	*bin		//	2i

			
				long 	ret;

				ret = AOIbin2long ("010101010");
					//	2i 010101010  long  ^ɕϊ ret Ɋi[܂





		 AOIsetButton		w͈͂{^Ƃēo^܂

			void AOIsetButton(Data, x, y, lx, ly);
				//	߂Ȃ
			AOIbuttonData	*Data;	//	{^
			short			x;		//	JnwW(0̓EBhE̊JnwW)
			short			y;		//	JnxW(0̓EBhE̊JnxW)
			short			lx;		//	w傫
			short			ly;		//	x傫

			
				AOIsetButton(&AbD[10], 10, 20, 100, 16);
				//	W(10, 20)(100, 16)̑傫͈̔͂{^Ƃ
					o^ԍ10œo^܂B

			
				AbD  aoi_lib2.h ŗ\ρB
				o^ԍ 1  100 ܂ŁB





		 AOIbutton		AĂ{^̓o^ԍԂ܂

			int AOIbutton(sx, sy, mx, my, Data);
				//	AĂ{^̓o^ԍԂ܂
					AĂȂƂ -1 Ԃ܂
			short			sx;		//	݂̃EBhE̊JnwW
			short			sy;		//	݂̃EBhE̊JnxW
			int				mx;		//	݂̃}EXJ[\̂wW
			int				my;		//	݂̃}EXJ[\̂xW
			AOIbuttonData	*Data;	//	{^

			
				int		button;
				int		ch;
				int		mx;
				int		my;

				MOS_rdpos(&ch, &mx, &my);
				button = AOIbutton(400, 200, mx, my, AbD);
				//	EBhEJnW(400, 200), }EXJ[\W(mx, my)
					̎AĂ{^̓o^ԍ button ɕԂ܂B

			
				AbD  aoi_lib2.h ŗ\ρB
				o^ԍ 1  100 ܂łłB





		 AOIfigureDraw	Q̐fBW^v12hbgŕ\܂

			void AOIfigureDraw(short sx, short sy, short figure);
				//	߂Ȃ
			short	sx;			//	JnwW
			short	sy;			//	JnxW
			short	figure;		//	\l

			
				AOIfigureDraw(320, 200, 23);
				//	W(320, 200)ɐl 23 fBW^12hbgŕ\܂





		 AOIfigureDraw2	Q̐fBW^v25hbgŕ\܂

			void AOIfigureDraw(short sx, short sy, int figure);
				//	߂Ȃ
			short	sx;			//	JnwW
			short	sy;			//	JnxW
			int		figure;		//	\l

			
				AOIfigureDraw2(320, 200, 23);
				//	W(320, 200)ɐl 23 fBW^25hbgŕ\܂





		 AOIrandom		0`999999܂ł̗

			long AOIrandom(long max);
				//	0`999999܂ł̗
			long	max;		//	ől

			
				long	ret;

				ret = AOIrandom(250000);
				//	1`250000̊Ԃ̗ ret Ɋi[܂

			
				̎ɓvgpB






		 AOIbuttonLamp	w肳ꂽo^ԍ̃{^𔽓]\܂

			int AOIbuttonLamp(short sx, short sy, AOIbuttonData *Data);
				//	0 : I
			short			sx;		//	݂̃EBhE̊JnwW
			short			sy;		//	݂̃EBhE̊JnxW
			AOIbuttonData	*Data;	//	{^

			
				int	ret;

				ret = AOIbuttonLamp(400, 200, AbD[23]);
				//	EBhEJnW(400, 200), {^̓o^ԍ 23 
					{^𔽓]\܂B

			
				AbD  aoi_lib2.h ŗ\
				o^ԍ 1  100 ܂ŁB





		 AOIslantingBox	slӌ``

			int AOIslantingBox(x0, y0, x1, y1, lx, cl);
				//	0 : I            QQQQQQQQ  
			short	x0;		//	   (x0,y0)^       @@@ ^
			short	y0;		//	        ^              ^
			short	x1;		//	      ^\\lx\\^
			short	y1;		//	    ^              ^
			short	lx;		//	  ^QQQQQQQ^(x1,y1)
			short	cl;		//	`F

			
				int	ret;

				ret = AOIslantingBox(320, 200, 100, 50, 30, 14);
				//	slӌ``悵܂





		 AOIslantingBoxFull	hԂslӌ``

			int AOIslantingBoxFull(x0, y0, x1, y1, lx, cl);
				//	0 : I            QQQQQQQQ  
			short	x0;		//	   (x0,y0)^       @@@ ^
			short	y0;		//	        ^              ^
			short	x1;		//	      ^\\lx\\^
			short	y1;		//	    ^              ^
			short	lx;		//	  ^QQQQQQQ^(x1,y1)
			short	cl;		//	`F

			
				int	ret;

				ret = AOIslantingBoxFull(320, 200, 100, 50, 30, 14);
				//	hԂslӌ``悵܂





		 ank2sjis			p܂ޕSp݂̂̕ϊ܂

			void ank2sjis(char string[], char str[]);
				//	߂Ȃ
			char	string[];	//	ϊ̕
			char	str[];		//	ϊO̕

			
				char	string[50];

				ank2sjis(string, "ABC`ab");
				//	"ABC`ab"Sp"`ab`ab"ɕϊ
					string Ɋi[܂B

			
				ϊ͑̕傫̓m[`FbNB





		 sjisToJis		VtgJISJISɕϊ܂

			unsigned int sjisToJis(unsigned int sjis);
				//	ϊʂԂ܂B
			unsigned int	sjis;	//	ϊO SJISR[h

			
				unsigned int	jis;

				jis = sjisToJis("");
				//	SJISR[h""  JISR[hɕϊ jis Ɋi[܂





		 AOIstrFJ2		FJ2̫Ăɂ镶` (V)

			void AOIstrFJ2(fp, fs, sx, sy, st, gap);
				//	߂Ȃ
			FILE	*fp;		//	FJ2̧̫قFILE *fp
			short	fs;			//	FJ2̧̫ق̃TCY(12,24,32,48,60)
			short	sx;			//	JnwW
			short	sy;			//	JnxW
			char	st[];		//	
			short	gap;		//	Ԋu

		
			FILE	*fp;

			if ((fp = fopen("Q:\\fj2\\font\\minn60.fnt", "rb")) == NULL) {
				perror("minn60.fnt ̃I[vs܂");
			}
			AOIstrFJ2(fp, 60, 320, 200, "`ab", 0);
			//	W(320, 200)ɕ MINN60.FNT gĕ`悵܂B

		
			͑Sp̂





		 AOIstring_FJ2	FJ2̫Ăɂ镶` ()

			void AOIstring_FJ2(fp, fs, sx, sy, st, sc, gap);
				//	߂Ȃ
			FILE	*fp;		//	FJ2̧̫قFILE *fp
			short	fs;			//	FJ2̧̫ق̃TCY(12,24,32,48,60)
			short	sx;			//	JnwW
			short	sy;			//	JnxW
			char	st[];		//	
			short	sc;			//	`F
			short	gap;		//	Ԋu

		
			FILE	*fp;

			if ((fp = fopen("Q:\\fj2\\font\\minn60.fnt", "rb")) == NULL) {
				perror("minn60.fnt ̃I[vs܂");
			}
			AOIstring_FJ2(fp, 60, 320, 200, "`ab", 14, 0);
			//	W(320, 200)ɕ MINN60.FNT gĕ`悵܂B

		
			͑Sp̂
			AOIstrFJ2() ̋@[W





		 AOIstrFJ2Zoom	FJ2̫Ăɂ镶`

			void AOIstrFJ2Zoom(fp, fs, sx, sy, st, gap, zx, zy);
				//	߂Ȃ
			FILE	*fp;		//	FJ2̧̫قFILE *fp
			short	fs;			//	FJ2̧̫ق̃TCY(12,24,32,48,60)
			short	sx;			//	JnwW
			short	sy;			//	JnxW
			char	st[];		//	
			short	gap;		//	Ԋu
			short	zx;			//	w傫
			short	zy;			//	x傫

		
			FILE	*fp;

			if ((fp = fopen("Q:\\fj2\\font\\minn60.fnt", "rb")) == NULL) {
				perror("minn60.fnt ̃I[vs܂");
			}
			AOIstrFJ2Zoom(fp, 60, 320, 200, "`ab", 0, 120, 80);
			//	W(320, 200)ɕ MINN60.FNT gĕ`悵܂B

		
			͑Sp̂





		 AOIsystem12Font	12hbgtHgɂ镶`

			void AOIsystem12Font(short x, short y, short c, char *str)
				//	߂Ȃ
			short	x;			//	JnwW
			short	y;			//	JnxW
			char	*str;		//	

		
			AOIsystem12Font(320, 200, "ABC`ab");
			//	W(320, 200)ɕ 12hbgtHg gĕ`悵܂B





		 AOIgetGraph		摜f[^ʂ̓ǂݍ

			int AOIgetGraph(char *buf, short x0, short y0, short x1, short y1);
				//	0:I
			char	*buf;		//	摜ۑpobt@
			short	x0;			//	JnwW
			short	y0;			//	JnxW
			short	x1;			//	IwW
			short	y1;			//	IxW

		
			char	dispTmp[(320 / 8) * 240];

			AOIgetGraph(dispTmp, 0, 0, 320, 240);
			AOIputGraph(dispTmp, 160, 240, 480, 480);
			//	(0, 0)-(320, 240) ̉摜 (160, 240)-(480, 480)ɕʂ܂B





		 AOIputGraph		摜f[^ʂ̓ǂݍ

			int AOIputGraph(char *buf, short x0, short y0, short x1, short y1);
				//	0:I
			char	*buf;		//	摜ۑpobt@
			short	x0;			//	JnwW
			short	y0;			//	JnxW
			short	x1;			//	IwW
			short	y1;			//	IxW

		
			AOIgetGraph() ̗ Q





		 AOIgetGraphZoom	摜f[^ʂ̓ǂݍ

			int AOIgetGraphZoom(buf, x0, y0, x1, y1, xs, ys);
				//	0:I
			char	*buf;		//	摜ۑpobt@
			short	x0;			//	JnwW
			short	y0;			//	JnxW
			short	x1;			//	IwW
			short	y1;			//	IxW
			short	xs;			//	w傫
			short	ys;			//	x傫

		
			char	dispTmp[(640 / 8) * 480];

			AOIgetGraphZoom(dispTmp, 0, 0, 320, 240, 640, 480);
			AOIputGraph(dispTmp, 0, 0, 640, 480);
			//	(0, 0)-(320, 240) ̉摜 g債܂B





		 AOIputGraphZoom	摜f[^ʂ̓ǂݍ

			int AOIputGraphZoom(buf, x0, y0, x1, y1, xs, ys);
				//	0:I
			char	*buf;		//	摜ۑpobt@
			short	x0;			//	JnwW
			short	y0;			//	JnxW
			short	x1;			//	IwW
			short	y1;			//	IxW
			short	xs;			//	w傫
			short	ys;			//	x傫

		
			char	dispTmp[(320 / 8) * 240];

			AOIgetGraph(dispTmp, 0, 0, 320, 240);
			AOIputGraphZoom(dispTmp, 0, 0, 320, 240, 640, 480);
			//	(0, 0)-(320, 240) ̉摜 g債܂B





		 AOIwindowMove	EChËړ

			void AOIwindowMove(dispTmp, sx, sy, lx, ly);
				//	߂Ȃ
			char	*dispTmp;	//	EBhE`Ỏ摜f[^
			short	*sx;		//	݂̃EBhEJnwW
			short	*sy;		//	݂̃EBhEJnxW
			short	lx;			//	EBhÊw傫
			short	ly;			//	EBhÊx傫

		





		 AOIwide3			ʃ[h 3Ch܂(720 * 490)

			void AOIwide3(void);

		
			AOIwide3();
			//	ʃ[h 3Ch܂





		 AOIwide17		ʃ[h 17 1.2{g債܂

			void AOIwide17(void);

		
			AOIwide17();
			//	ʃ[h 17 1.2{g債܂




*/













